## CinelerraCV-2.3.tar.xz

=== quicktime/ffmpeg/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000-2004 Fabrice Bellard
#
include config.mak

SRC_DIR = $(SRC_PATH_BARE)

vpath %.texi $(SRC_PATH_BARE)

PROGS-$(CONFIG_FFMPEG)   += ffmpeg
PROGS-$(CONFIG_FFPLAY)   += ffplay
PROGS-$(CONFIG_FFSERVER) += ffserver

PROGS       = $(addsuffix   $(EXESUF), $(PROGS-yes))
PROGS_G     = $(addsuffix _g$(EXESUF), $(PROGS-yes))
OBJS        = $(addsuffix .o,          $(PROGS-yes)) cmdutils.o
MANPAGES    = $(addprefix doc/, $(addsuffix .1, $(PROGS-yes)))

BASENAMES   = ffmpeg ffplay ffserver
ALLPROGS    = $(addsuffix   $(EXESUF), $(BASENAMES))
ALLPROGS_G  = $(addsuffix _g$(EXESUF), $(BASENAMES))
ALLMANPAGES = $(addsuffix .1, $(BASENAMES))

FFLIBS-$(CONFIG_AVFILTER) += avfilter
FFLIBS-$(CONFIG_POSTPROC) += postproc
FFLIBS-$(CONFIG_SWSCALE)  += swscale

FFLIBS := avdevice avformat avcodec avutil

include common.mak

FF_LDFLAGS   := $(FFLDFLAGS)
FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)

ALL_TARGETS-$(CONFIG_VHOOK) += videohook
ALL_TARGETS-$(BUILD_DOC)    += documentation

INSTALL_TARGETS-$(CONFIG_VHOOK) += install-vhook
ifneq ($(PROGS),)
INSTALL_TARGETS-yes             += install-progs
INSTALL_TARGETS-$(BUILD_DOC)    += install-man
endif
INSTALL_PROGS_TARGETS-$(BUILD_SHARED) = install-libs

all: $(FF_DEP_LIBS) $(PROGS) $(ALL_TARGETS-yes)

$(PROGS): %$(EXESUF): %_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

SUBDIR_VARS := OBJS ASM_OBJS CPP_OBJS FFLIBS CLEANFILES DIRS TESTS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(1)/Makefile
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

ffplay_g$(EXESUF): FF_EXTRALIBS += $(SDL_LIBS)
ffserver_g$(EXESUF): FF_LDFLAGS += $(FFSERVERLDFLAGS)

%_g$(EXESUF): %.o cmdutils.o $(FF_DEP_LIBS)
	$(CC) $(FF_LDFLAGS) -o $@ $< cmdutils.o $(FF_EXTRALIBS)

SVN_ENTRIES = $(SRC_PATH_BARE)/.svn/entries
ifeq ($(wildcard $(SVN_ENTRIES)),$(SVN_ENTRIES))
version.h: $(SVN_ENTRIES)
endif

version.h:
	$(SRC_PATH)/version.sh $(SRC_PATH)

output_example$(EXESUF): output_example.o $(FF_DEP_LIBS)
	$(CC) $(CFLAGS) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

tools/%$(EXESUF): tools/%.c
	$(CC) $(CFLAGS) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

ffplay.o ffplay.d: CFLAGS += $(SDL_CFLAGS)

VHOOKCFLAGS += $(filter-out -mdynamic-no-pic,$(CFLAGS))

BASEHOOKS = fish null watermark
ALLHOOKS = $(BASEHOOKS) drawtext imlib2 ppm
ALLHOOKS_SRCS = $(addprefix vhook/, $(addsuffix .c, $(ALLHOOKS)))

HOOKS-$(HAVE_FORK)      += ppm
HOOKS-$(HAVE_IMLIB2)    += imlib2
HOOKS-$(HAVE_FREETYPE2) += drawtext

HOOKS = $(addprefix vhook/, $(addsuffix $(SLIBSUF), $(BASEHOOKS) $(HOOKS-yes)))

VHOOKCFLAGS-$(HAVE_IMLIB2) += `imlib2-config --cflags`
LIBS_imlib2$(SLIBSUF)       = `imlib2-config --libs`

VHOOKCFLAGS-$(HAVE_FREETYPE2) += `freetype-config --cflags`
LIBS_drawtext$(SLIBSUF)        = `freetype-config --libs`

VHOOKCFLAGS += $(VHOOKCFLAGS-yes)

vhook/%.o vhook/%.d: CFLAGS:=$(VHOOKCFLAGS)

# vhooks compile fine without libav*, but need them nonetheless.
videohook: $(FF_DEP_LIBS) $(HOOKS)

$(eval VHOOKSHFLAGS=$(VHOOKSHFLAGS))
vhook/%$(SLIBSUF): vhook/%.o
	$(CC) $(LDFLAGS) -o $@ $(VHOOKSHFLAGS) $< $(VHOOKLIBS) $(LIBS_$(@F))

VHOOK_DEPS = $(HOOKS:$(SLIBSUF)=.d)
depend dep: $(VHOOK_DEPS)

documentation: $(addprefix doc/, ffmpeg-doc.html faq.html ffserver-doc.html \
                                 ffplay-doc.html general.html hooks.html \
                                 $(ALLMANPAGES))

doc/%.html: doc/%.texi
	texi2html -monolithic -number $<
	mv $(@F) $@

doc/%.pod: doc/%-doc.texi
	doc/texi2pod.pl $< $@

doc/%.1: doc/%.pod
	pod2man --section=1 --center=" " --release=" " $< > $@

install: $(INSTALL_TARGETS-yes)

install-progs: $(PROGS) $(INSTALL_PROGS_TARGETS-yes)
	install -d "$(BINDIR)"
	install -c -m 755 $(PROGS) "$(BINDIR)"

install-man: $(MANPAGES)
	install -d "$(MANDIR)/man1"
	install -m 644 $(MANPAGES) "$(MANDIR)/man1"

install-vhook: videohook
	install -d "$(SHLIBDIR)/vhook"
	install -m 755 $(HOOKS) "$(SHLIBDIR)/vhook"

uninstall: uninstall-progs uninstall-man uninstall-vhook

uninstall-progs:
	rm -f $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-man:
	rm -f $(addprefix "$(MANDIR)/man1/",$(ALLMANPAGES))

uninstall-vhook:
	rm -f $(addprefix "$(SHLIBDIR)/",$(ALLHOOKS_SRCS:.c=$(SLIBSUF)))
	-rmdir "$(SHLIBDIR)/vhook/"

clean::
	rm -f $(ALLPROGS) $(ALLPROGS_G) output_example$(EXESUF)
	rm -f doc/*.html doc/*.pod doc/*.1
	rm -rf tests/vsynth1 tests/vsynth2 tests/data tests/asynth1.sw tests/*~
	rm -f $(addprefix tests/,$(addsuffix $(EXESUF),audiogen videogen rotozoom seek_test tiny_psnr))
	rm -f $(addprefix tools/,$(addsuffix $(EXESUF),cws2fws pktdumper qt-faststart trasher))
	rm -f vhook/*.o vhook/*~ vhook/*.so vhook/*.dylib vhook/*.dll

distclean::
	rm -f version.h config.* *.pc vhook/*.d

# regression tests

fulltest test: codectest libavtest seektest

FFMPEG_REFFILE   = $(SRC_PATH)/tests/ffmpeg.regression.ref
FFSERVER_REFFILE = $(SRC_PATH)/tests/ffserver.regression.ref
LIBAV_REFFILE    = $(SRC_PATH)/tests/libav.regression.ref
ROTOZOOM_REFFILE = $(SRC_PATH)/tests/rotozoom.regression.ref
SEEK_REFFILE     = $(SRC_PATH)/tests/seek.regression.ref

CODEC_TESTS = $(addprefix regtest-,             \
        mpeg                                    \
        mpeg2                                   \
        mpeg2thread                             \
        msmpeg4v2                               \
        msmpeg4                                 \
        wmv1                                    \
        wmv2                                    \
        h261                                    \
        h263                                    \
        h263p                                   \
        mpeg4                                   \
        huffyuv                                 \
        rc                                      \
        mpeg4adv                                \
        mpeg4thread                             \
        error                                   \
        mpeg4nr                                 \
        mpeg1b                                  \
        mjpeg                                   \
        ljpeg                                   \
        jpegls                                  \
        rv10                                    \
        rv20                                    \
        asv1                                    \
        asv2                                    \
        flv                                     \
        ffv1                                    \
        snow                                    \
        snowll                                  \
        dv                                      \
        dv50                                    \
        svq1                                    \
        flashsv                                 \
        mp2                                     \
        ac3                                     \
        g726                                    \
        adpcm_ima_wav                           \
        adpcm_ima_qt                            \
        adpcm_ms                                \
        adpcm_yam                               \
        adpcm_swf                               \
        flac                                    \
        wma                                     \
    )

LAVF_TESTS = $(addprefix regtest-,              \
        avi                                     \
        asf                                     \
        rm                                      \
        mpg                                     \
        ts                                      \
        swf                                     \
        ffm                                     \
        flv_fmt                                 \
        mov                                     \
        dv_fmt                                  \
        gxf                                     \
        nut                                     \
        mkv                                     \
        pbmpipe                                 \
        pgmpipe                                 \
        ppmpipe                                 \
        gif                                     \
        yuv4mpeg                                \
        pgm                                     \
        ppm                                     \
        bmp                                     \
        tga                                     \
        tiff                                    \
        sgi                                     \
        jpg                                     \
        wav                                     \
        alaw                                    \
        mulaw                                   \
        au                                      \
        mmf                                     \
        aiff                                    \
        voc                                     \
        ogg                                     \
        pixfmt                                  \
    )

REGFILES = $(addprefix tests/data/,$(addsuffix .$(1),$(2:regtest-%=%)))

CODEC_ROTOZOOM = $(call REGFILES,rotozoom.regression,$(CODEC_TESTS))
CODEC_VSYNTH   = $(call REGFILES,vsynth.regression,$(CODEC_TESTS))

LAVF_REGFILES = $(call REGFILES,lavf.regression,$(LAVF_TESTS))

LAVF_REG     = tests/data/lavf.regression
ROTOZOOM_REG = tests/data/rotozoom.regression
VSYNTH_REG   = tests/data/vsynth.regression

codectest: $(VSYNTH_REG) $(ROTOZOOM_REG)
	diff -u -w $(FFMPEG_REFFILE)   $(VSYNTH_REG)
	diff -u -w $(ROTOZOOM_REFFILE) $(ROTOZOOM_REG)

libavtest: $(LAVF_REG)
	diff -u -w $(LIBAV_REFFILE) $(LAVF_REG)

$(VSYNTH_REG) $(ROTOZOOM_REG) $(LAVF_REG):
	cat $^ > $@

$(LAVF_REG):     $(LAVF_REGFILES)
$(ROTOZOOM_REG): $(CODEC_ROTOZOOM)
$(VSYNTH_REG):   $(CODEC_VSYNTH)

$(CODEC_VSYNTH) $(CODEC_ROTOZOOM): $(CODEC_TESTS)

$(LAVF_REGFILES): $(LAVF_TESTS)

$(CODEC_TESTS) $(LAVF_TESTS): regtest-ref

regtest-ref: ffmpeg$(EXESUF) tests/vsynth1/00.pgm tests/vsynth2/00.pgm tests/asynth1.sw

$(CODEC_TESTS) regtest-ref: tests/tiny_psnr$(EXESUF)
	$(SRC_PATH)/tests/regression.sh $@ vsynth   tests/vsynth1 a
	$(SRC_PATH)/tests/regression.sh $@ rotozoom tests/vsynth2 a

$(LAVF_TESTS):
	$(SRC_PATH)/tests/regression.sh $@ lavf tests/vsynth1 b

seektest: codectest libavtest tests/seek_test$(EXESUF)
	$(SRC_PATH)/tests/seek_test.sh $(SEEK_REFFILE)

servertest: ffserver$(EXESUF) tests/vsynth1/00.pgm tests/asynth1.sw
	@echo
	@echo "Unfortunately ffserver is broken and therefore its regression"
	@echo "test fails randomly. Treat the results accordingly."
	@echo
	$(SRC_PATH)/tests/server-regression.sh $(FFSERVER_REFFILE) $(SRC_PATH)/tests/test.conf

ifeq ($(CONFIG_SWSCALE),yes)
servertest codectest $(CODEC_TESTS) libavtest: swscale_error
swscale_error:
	@echo
	@echo "This regression test is incompatible with --enable-swscale."
	@echo
	@exit 1
endif

tests/vsynth1/00.pgm: tests/videogen$(EXESUF)
	mkdir -p tests/vsynth1
	$(BUILD_ROOT)/$< 'tests/vsynth1/'

tests/vsynth2/00.pgm: tests/rotozoom$(EXESUF)
	mkdir -p tests/vsynth2
	$(BUILD_ROOT)/$< 'tests/vsynth2/' $(SRC_PATH)/tests/lena.pnm

tests/asynth1.sw: tests/audiogen$(EXESUF)
	$(BUILD_ROOT)/$< $@

%$(EXESUF): %.c
	$(CC) $(FF_LDFLAGS) $(CFLAGS) -o $@ $<

tests/seek_test$(EXESUF): tests/seek_test.c $(FF_DEP_LIBS)
	$(CC) $(FF_LDFLAGS) $(CFLAGS) -o $@ $< $(FF_EXTRALIBS)


.PHONY: lib videohook documentation *test regtest-* swscale-error

-include $(VHOOK_DEPS)

# Dummy targets to fix 'make distcheck'
dvi:
check:
installcheck:
distuninstallcheck:

distdir:
	echo warning: faking 'make dist' in subpackage using tar + make distclean
	tar cf - .|(cd $(distdir); tar xf -; make distclean)

=== debian/changelog ===
cinelerra-cv (1:2.3.0) unstable; urgency=low

  [ Nicola Ferralis ]
  * Official release of Cinelerra-CV version 2.3
  * Update maintainer contact address to the new mailing list on
    lists.cinelerra-cv.org.
  * Rename source and binary package to cinelerra-cv.
  * Update build dependencies to use the packages currently available in
    Debian and Ubuntu.
  * Update copyright file.

  [ Petter Reinholdtsen ]
  * Move to debhelper compat level 9.
  * Add homepage URL to cinelerra-cv.org.
  * Updated Debian build rules based on PPA build rules from
    Nicola Ferralis.  Complete package renaming and add menu file.
  * Provide /etc/sysctl.d/cinelerra-cv file to adjust the default
    kernel.shmmax value.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Apr 2014 21:57:48 +0200

hvirtual (1:2.1.0-1svn20060912) unstable; urgency=low

  * SVN of 2006-09-12, non-debug build, merge with Adam's 2.1 version

 -- Debian User <ga@kutxa.homeunix.org>  Tue, 12 Sep 2006 12:58:37 +0200

hvirtual (1:2.0.0) unstable; urgency=low

  * 2.0

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Jan 2006 22:22:14 +0200

hvirtual (1:1.2.2-3) unstable; urgency=low

  * changed dependancy from libavcodec1-dev to libavcodec-dev

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Feb 2005 22:22:14 +0200

hvirtual (1:1.2.2) unstable; urgency=low

  * merge with 1.2.2 (by Johannes Sixt)

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 8 Feb 2005 22:22:14 +0200

hvirtual (1:1.2.1) unstable; urgency=low

  * merge with 1.2.1 (by Johannes Sixt)
  * added libmxf to dependencies

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Wed, 18 Aug 2004 22:22:14 +0200

hvirtual (1:1.2.0) unstable; urgency=low

  * merge with 1.2.0 (by Johannes Sixt)
  * added libfaad2 to dependencies

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Tue, 1 Jun 2004 22:22:14 +0200

hvirtual (1:1.1.9-1) unstable; urgency=low

  * fix libsndfilehv dependency (by Johannes Sixt)

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Mon, 8 Mar 2004 22:22:14 +0200

hvirtual (1:1.1.8-2) unstable; urgency=low

  * fix libsndfilehv dependency (by Johannes Sixt)
  * fix locale invocation, so only messages are translated, not numbers
  * fix libtool dependency, remove libsndfile-dev dependency

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 21 Dec 2003 22:22:14 +0200

hvirtual (1:1.1.8-1) unstable; urgency=low

  * Merge with Adam's 1.1.8 release and the CVS

 -- Johannes Sixt <johannes.sixt@telecom.at>  Fri, 5 Dec 2003 22:22:14 +0200

hvirtual (1:1.1.7-3) unstable; urgency=low

  * internationalization #2 & #3
  * fix to track.C - crusher
  * gettextialization
  * no patch for 32bit counters anymore

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 10 Oct 2003 18:00:01 +0200

hvirtual (1:1.1.7-2) unstable; urgency=low

  * added patch to be able to compile for 32bit frame counters
  * internationalization
  * fixed mmx compiling (richard) 

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Fri, 26 Sep 2003 18:00:01 +0200

hvirtual (1:1.1.7-1) unstable; urgency=low

  * debification of mainline 1.1.7 by Richard Baverstock 

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Mon, 08 Sep 2003 18:00:01 +0200

hvirtual (1:1.1.6-5) unstable; urgency=low

  * updated dependency to new libsndfile1, patch by Artemia Salina
    <asalina@newsfeeds.com>
  * two new overlaying speedups...

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 08 Aug 2003 18:00:01 +0200

hvirtual (1:1.1.6-4) unstable; urgency=low

  * Johannes Sixt's patch for multihead display
  * fix for quicktime leak
  * fix virtualconsole leak
  * patchbay invalid memory access fix
  * fix for perspective plugin when using alpha mode

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 31 Jul 2003 18:00:01 +0200

hvirtual (1:1.1.6-3) unstable; urgency=low

  * workaround for libdv bug
  * fix to build with latest libavcodec
  * second overlaying speedup

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Thu, 17 Jul 2003 18:00:01 +0200

hvirtual (1:1.1.6-2) unstable; urgency=low

  * applied reframe-crush patch

 -- Andraz Tori <andraz.tori1@guest.arnes.si>  Wed, 25 Jun 2003 18:00:01 +0200

hvirtual (1:1.1.6-1) unstable; urgency=low

  * New upstream release
  * Added -g and removed stripping to allow debugging 

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Wed, 14 May 2003 07:58:01 +0200

hvirtual (1:1.1.5-4) unstable; urgency=low

  * The "Patch me if you can" release
  * Applied patches:
    loop (Andraz Tori <Andraz.tori1@guest.arnes.si>):
      fixes a problem wehere audio position was reported
    	completely wrong and cursor went temporarily nuts while playing in
    	loop, which was	annoying the other thing it does is that it aligns
    	cursor on frames while playing (if that option is set)
    titler-charsets (Andraz Tori <Andraz.tori1@guest.arnes.si>):
      enables non-english users to use their own charsets
  		in the titler plugin.
   * Includes now mplexlo and mplexhi.
   * Re-includes the badly forgotten mpeg2enc (really sorry for this one)

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Tue, 15 Apr 2003 20:29:50 +0200

hvirtual (1:1.1.5-3) unstable; urgency=low

  * Fixed the dependency on XF4.3 (sorry for that)
  * Fixed policy issues (now the packages are
  clean according to lintian :), some rpath remain though

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Wed,  9 Apr 2003 15:40:13 +0200

hvirtual (1:1.1.5-2) unstable; urgency=low

  * Rebuilt for fix the libvorbis0a dependency
  * Removed the "lib" prefix on plugins
  * added nasm in the Build-Depends
  * Fixed the "linking shared library and static libraries" issue
  * Now building non-PIC code since it prevents some assembly to build
  (particularly in libavcodec)
  * libguicast now links to Xv, not Xv_pic
  * Moved the fourier code into a single library

 -- Sylvain Joyeux <sylvain.joyeux@polytechnique.org>  Fri,  4 Apr 2003 01:09:33 +0200

hvirtual (1:1.1.5-1) unstable; urgency=low



=== debian/control ===
Source: cinelerra-cv
Section: video
Priority: optional
Maintainer: Cinelerra-CV mailing list <cinelerra@lists.cinelerra-cv.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), automake,
 libasound2-dev (>= 1.0.4), libdv4-dev (>= 1.0.0), 
 libavcodeccvs51-dev | libavcodec-dev, 
 libmp3lame-dev | liblame-dev (>= 3.92), libvorbis-dev (>= 1.0.0),
 libogg-dev (>= 1.1.2), libtool (>= 1.5), liba52-0.7.4-dev (>= 0.7.4), 
 libtheora-dev (>=0.0.0.alpha4) | libtheora-mmx-dev (>=0.0.0.alpha4),
 libpng12-dev (>= 1.2.5), libjpeg8-dev | libjpeg-dev,
 libtiff4-dev (>= 3.6.0) | libtiff5-dev,
 libesd0-dev (>= 0.2.28), libaudiofile-dev (>= 0.2.3), 
 libraw1394-dev (>= 1.2.0), libavc1394-dev (>= 0.4.1),
 libfreetype6-dev (>= 2.2.1), libfontconfig-dev | libfontconfig1-dev, nasm, uuid-dev, 
 docbook-to-man, libfaad2-dev | libfaad-dev, libmjpegtools-dev (>= 1.6.2), 
 libopenexr-dev (>= 1.1.1), libxxf86vm-dev (>=6.8.2), libfftw3-dev | fftw3-dev,
 libsndfile1-dev, libiec61883-dev (>= 1.0.0), libx264-dev,
 libfaac-dev (>= 1.24), libx11-dev, libxext-dev, libxft-dev,
 libxv-dev, libxxf86vm-dev, libglu1-mesa-dev,
 libopencv-core-dev, libopencv-objdetect-dev, libopencv-legacy-dev
Homepage: http://www.cinelerra-cv.org/

Package: cinelerra-cv
Conflicts: cinelerra
Section: video
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libguicast1-cv (= ${binary:Version}),
 libquicktimecine-cv (= ${binary:Version}), libmpeg3cine-cv (= ${binary:Version}),
 mjpegtools (>= 1.6.2), debianutils
Description: Non-linear audio/video authoring tool
 Cinelerra-CV is a complete audio and video authoring
 tool. It understands a lot of multimedia formats
 (quicktime, avi, ogg) and audio/video compression
 codecs (divx, xvid, mpeg1/2, ...). This is the 
 community-maintained version of Cinelerra.

Package: libguicast1-cv
Conflicts: libguicast1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: toolkit library (cinelerra's internal)
 libguicast is a toolkit library mainly used by HeroineVirtual's
 software.

Package: libquicktimecine-cv
Conflicts: libquicktimecine
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Quicktime 4 Linux Cinelerra internal library
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libquicktimecine-cv-dev
Conflicts: libquicktimecine-dev
Section: libdevel
Depends: ${misc:Depends}, libquicktimecine-cv (= ${binary:Version})
Architecture: any
Description: Quicktime 4 Linux (Cinelerra internal) library (development files)
 Quicktime 4 Linux was the first convenient way to read and write 
 uncompressed Quicktime movies on Linux. Today Quicktime 4 Linux 
 is intended for content creation and uncompressed movies. These 
 usually arise during the production phase and not the consumer 
 phase of a movie. It has improvements in colormodel support, 
 bit depth, accuracy, reliability, and codecs, while not 
 stressing economy. 
 .
 Users wishing for a consumer library should use OpenQuicktime or FFMPEG.
 .
 This package holds development files for the Quicktime 4 Linux library
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libmpeg3cine-cv
Conflicts: libmpeg3cine, mpeg3-utils
Provides: mpeg3-utils
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: advanced editing and manipulation of MPEG streams (cinelerra's internal) 
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 For more information, see http://heroinewarrior.com/quicktime.php

Package: libmpeg3cine-cv-dev
Conflicts: libmpeg3cine-dev, libmpeg3-dev
Provides: libmpeg3-dev
Section: libdevel
Depends: ${misc:Depends}, libmpeg3cine-cv (= ${binary:Version})
Architecture: any
Description: advanced editing and manipulation of MPEG streams (development files)
 Libmpeg3 supports advanced editing and manipulation of MPEG streams. 
 MPEG is normally a last mile format but with libmpeg3 you can edit 
 it like a first mile solution. 
 .
 Unless you have a need for MPEG editing and copying, you're better 
 off using a consumer library like FFMPEG.
 .
 This package holds development files for the libmpeg3 library
 .
 For more information, see http://heroinewarrior.com/quicktime.php

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# Modified by Nicola Ferralis <feranick@hotmail.com> for version 2.2CV.

package=cinelerra-cv

CONFFLAGS=

ifneq ($(DEB_HOST_ARCH),powerpc)
	CONFFLAGS+=--enable-opengl
	CFLAGS=-ffast-math -minline-all-stringops -funroll-loops
	CXXFLAGS=$(CFLAGS) -fno-check-new
endif

ifeq ($(DEB_HOST_ARCH),amd64)
	CFLAGS=-ffast-math -minline-all-stringops -funroll-loops -fPIC
	CXXFLAGS=$(CFLAGS) -fno-check-new
endif

ifneq (, $(findstring smp2,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS=-j3
endif

# Enable hardening flags
CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

build: build-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: debian/cinelerra-cv.1 debian/mplexhi.1 debian/mplexlo.1
	dh_testdir
	@if [ ! -e configure ] ; then ./autogen.sh; fi
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
		./configure --enable-opengl --prefix=/usr $(CONFFLAGS)
	$(MAKE) $(MAKEFLAGS)
	touch build-stamp

debian/cinelerra-cv.1: debian/cinelerra-cv.sgml
	docbook-to-man debian/cinelerra-cv.sgml > debian/cinelerra-cv.1
debian/mplexhi.1: debian/mplexhi.sgml
	docbook-to-man debian/mplexhi.sgml > debian/mplexhi.1
debian/mplexlo.1: debian/mplexlo.sgml
	docbook-to-man debian/mplexlo.sgml > debian/mplexlo.1

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean -a
	-rm -f debian/cinelerra-cv.1
	-rm -f debian/mplexhi.1
	-rm -f debian/mplexlo.1
	-rm -f build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# .la files are not used in Debian, remove them
	find debian/tmp -name '*.la'|xargs rm

	install -D -m644 debian/cinelerra-cv.sysctl.d debian/cinelerra-cv/etc/sysctl.d/cinelerra-cv.conf

	chmod -x debian/tmp/usr/lib/cinelerra/*
	chmod +x debian/tmp/usr/lib/cinelerra/fonts
	chmod -x debian/tmp/usr/lib/cinelerra/fonts/*
	chmod +x debian/tmp/usr/lib/cinelerra/shapewipe

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs -XCVS
	dh_installchangelogs -a
	dh_installman
	dh_installmenu
	dh_link -a
	dh_icons -a
	dh_strip -a
	strip -x -s -R .comment -R .note debian/$(package)/usr/lib/cinelerra/*.so
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a -v
	dh_installdeb -a
	dh_gencontrol 
	dh_builddeb -a

binary: binary-indep binary-arch

get-upstream-source:
	set -e; branch=master; \
	  date=$$(date +%Y%m%d); \
	  packagever=cinelerra-cv-2.2; \
	  git clone -b $${branch} git://git.cinelerra-cv.org/CinelerraCV.git $${packagever}; \
	  tag=$$(cd $${packagever}; git rev-list $${branch} -n 1 | cut -c 1-7); \
	  (cd $${packagever}; git archive HEAD --prefix=$$packagever/) | bzip2 > ../cinelerra-cv_2.2.git.$${date}.$${tag}.orig.tar.bz2; \
	  echo "created ../cinelerra-cv_2.2.git.$${date}.$${tag}.orig.tar.bz2"; \
	  rm -rf $${packagever}
